| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.Customer Class Reference

Class that holds information about customer. More...

Inheritance diagram for LicenseSpring.Customer:

## Public Member Functions
| Customer ()
| Order default constructor.

## Properties
string | Address`[get, set]`
| Address set on the customer while making an order.
string | AllLabelNames`[get]`
| All names of the labels that are assigned to this customer, appended in one consecutive String. If the customer has two labels, e.g. Customer and Loyal, this will say "customerloyal".
string | City`[get, set]`
| City set on the customer while making an order.
uint | Company`[get]`
| Company id of that the customer belongs to.
string | CompanyName`[get, set]`
| Name of the company the user belongs to.
string | Country`[get, set]`
| Country set on the customer while making an order.
string | Email`[get, set]`
| Customer email set on the customer while making an order.
string | FirstName`[get, set]`
| Customer's first name set on the customer while making an order.
ulong | ID`[get]`
| Id of the customer.
uint[] | LabelIds`[get]`
| List of the label ids that are assigned to this customer.
CustomerLabel[] | Labels`[get]`
| List of label objects that are assigned to this customer.
string | LastName`[get, set]`
| Customer's Last name set on the customer while making an order.
uint | LicenseUserID`[get]`
| If the user is also a license user id.
string | Metadata`[get, set]`
| Customer metadata.
string | Phone`[get, set]`
| Phone number of the user.
string | Postcode`[get, set]`
| Postal code set on the customer while making an order.
string | Reference`[get, set]`
| Reference on this customer. Can be set manually.
string | State`[get, set]`
| State set on the customer while making an order.
uint | TotalLicenses`[get]`
| Number of licenses this customer has ordered.
uint | TotalOrders`[get]`
| Number of orders this customer has placed.
Properties inherited from LicenseSpring.ICustomer

## Detailed Description

Class that holds information about customer.

## Property Documentation

## ◆ Address

string LicenseSpring.Customer.Address
| get set

Address set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ AllLabelNames

string LicenseSpring.Customer.AllLabelNames
| get

All names of the labels that are assigned to this customer, appended in one consecutive String. If the customer has two labels, e.g. Customer and Loyal, this will say "customerloyal".

Implements LicenseSpring.ICustomer.

## ◆ City

string LicenseSpring.Customer.City
| get set

City set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ Company

uint LicenseSpring.Customer.Company
| get

Company id of that the customer belongs to.

Implements LicenseSpring.ICustomer.

## ◆ CompanyName

string LicenseSpring.Customer.CompanyName
| get set

Name of the company the user belongs to.

Implements LicenseSpring.ICustomer.

## ◆ Country

string LicenseSpring.Customer.Country
| get set

Country set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ Email

string LicenseSpring.Customer.Email
| get set

Customer email set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ FirstName

string LicenseSpring.Customer.FirstName
| get set

Customer's first name set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ ID

ulong LicenseSpring.Customer.ID
| get

Id of the customer.

Implements LicenseSpring.ICustomer.

## ◆ LabelIds

uint [] LicenseSpring.Customer.LabelIds
| get

List of the label ids that are assigned to this customer.

Implements LicenseSpring.ICustomer.

## ◆ Labels

CustomerLabel [] LicenseSpring.Customer.Labels
| get

List of label objects that are assigned to this customer.

Implements LicenseSpring.ICustomer.

## ◆ LastName

string LicenseSpring.Customer.LastName
| get set

Customer's Last name set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ LicenseUserID

uint LicenseSpring.Customer.LicenseUserID
| get

If the user is also a license user id.

Implements LicenseSpring.ICustomer.

## ◆ Metadata

string LicenseSpring.Customer.Metadata
| get set

Customer metadata.

Implements LicenseSpring.ICustomer.

## ◆ Phone

string LicenseSpring.Customer.Phone
| get set

Phone number of the user.

Implements LicenseSpring.ICustomer.

## ◆ Postcode

string LicenseSpring.Customer.Postcode
| get set

Postal code set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ Reference

string LicenseSpring.Customer.Reference
| get set

Reference on this customer. Can be set manually.

Implements LicenseSpring.ICustomer.

## ◆ State

string LicenseSpring.Customer.State
| get set

State set on the customer while making an order.

Implements LicenseSpring.ICustomer.

## ◆ TotalLicenses

uint LicenseSpring.Customer.TotalLicenses
| get

Number of licenses this customer has ordered.

Implements LicenseSpring.ICustomer.

## ◆ TotalOrders

uint LicenseSpring.Customer.TotalOrders
| get

Number of orders this customer has placed.

Implements LicenseSpring.ICustomer.

The documentation for this class was generated from the following file:

- Customer.cs